<ion-list *ngFor="let infoTransaction of infoTransactions">
  <ion-item>
      <div [ngClass]="{'down': infoTransaction.transactionType == 1,
      'up': infoTransaction.transactionType == 2}">
      <div [ngSwitch]="infoTransaction.transactionType">
        <div *ngSwitchCase="1">
          <ion-icon name="arrow-down-outline" style="color: red"></ion-icon>
        </div>
        <div *ngSwitchCase="2">
          <ion-icon name="arrow-up-outline" style="color: green"></ion-icon>
        </div>
      </div>
      </div>
    <ion-label>
      <span>{{infoTransaction.description}}</span><br>
      <small>{{infoTransaction.date |date:"mediumDate"}}</small>
    </ion-label>
    <div [ngClass]="{'plus': infoTransaction.transactionType == 2,
    'minus': infoTransaction.transactionType == 1}">
      <span> {{infoTransaction.transactionType === 1 ? '-' : '+' }} RD {{infoTransaction.amount}}</span>
    </div>
  </ion-item>
</ion-list>
